// Crosshair
alias ch_1 "bf;crosshair 1;bind ALT sz_1h;bind x +zmh;echo crosshair ON;bind i ch_0"
alias ch_0 "bf;crosshair 0;bind ALT sz_1;bind x +zm;echo crosshair OFF;bind i ch_1"
alias ch_t0 "bf;err;bind i bf;echo arg!"

// Wide-Angle Hotkey 
alias +wav "fov 100;wait;fov 110;wait;fov 120;wait; fov 125"
alias -wav "fov 120;wait;fov 110;wait;fov 100;wait; fov 90"
alias +wav2 "sz_0;fov 100;wait;fov 110;wait;fov 120;wait; fov 125"
alias -wav2 "sz_0;fov 120;wait;fov 110;wait;fov 100;wait; fov 90"

// Ping Times and Status
alias +hold_console toggleconsole
alias -hold_console toggleconsole
bind ins "+hold_console;ping"
bind home "+hold_console;status"

// Sniper Zoom Toggle
alias sz_1 "n70;zos;bind ALT sz_0"
alias sz_0 "t55;zop;bind ALT sz_1"
alias n70 "fov 70.00;wait;n55"
alias n55 "fov 55.00;wait;n40"
alias n40 "fov 40.00;sensitivity 3.50;wait;crosshair 1"
alias t55 "fov 55.00;wait;t70"
alias t70 "fov 70.00;wait;t90"
alias t90 "fov 90.00;sensitivity 5.00;wait;crosshair 0"
alias zos "bind i ch_t0;bind v +wav2;bind x +zms"
alias zop "bind i ch_1;bind v +wav;bind x +zm"

// Full Zoom Hotkey 
alias +zm "in70"
alias -zm "out11"
alias +zms "sz_0;in70"
alias -zms "sz_0;out11"
alias in70 "fov 70.00;wait;in58"
alias in58 "fov 58.00;wait;in45"
alias in45 "fov 45.00;wait;crosshair 1;in30"
alias in30 "fov 30.00;wait;in22"
alias in22 "fov 22.50;wait;in18"
alias in18 "fov 18.00;wait;in15"
alias in15 "fov 15.00;wait;in12"
alias in12 "fov 12.86;wait;in11"
alias in11 "fov 11.25;wait;in10"
alias in10 "fov 10.00;sensitivity 0.56"
alias out11 "fov 11.25;wait;out12"
alias out12 "fov 12.86;wait;out15"
alias out15 "fov 15.00;wait;out18"
alias out18 "fov 18.00;wait;out22"
alias out22 "fov 22.50;wait;out30"
alias out30 "fov 30.00;wait;out45"
alias out45 "fov 45.00;wait;out58"
alias out58 "fov 58.00;wait;out70"
alias out70 "fov 70.00;wait;out90"
alias out90 "fov 90.00;sensitivity 5.00;crosshair 1"

exec bounty3.cfg